@font-face {
  font-family: 'Bebas Neue';
  src: url('../fonts/BebasNeue-Regular.woff2') format('woff2'),
      url('../fonts/BebasNeue-Regular.woff') format('woff');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Exo2';
  src: url('../fonts/Exo2-Bold.woff2') format('woff2'),
      url('../fonts/Exo2-ExtraBold.woff2') format('woff2'),
      url('../fonts/Exo2-Exo2-Regular.woff2') format('woff2'),
      url('../fonts/Exo2-VariableFont_wght.woff2') format('woff2');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

/* #FFDAB9 */
/* #50b0dcda */

:root {
  --text-gray-900:rgb(26,32,44);
  --text-color-secondary:rgb(3,169,244);
  --background-hero:rgb(247,250,252);
  --background-scrolling: #644e5b;
  --background-static:#222629;
  --text-color-specialization: #97aabd;
  --text-content1: #333333;
  --backgroud-slider_item: linear-gradient(-45deg, #d2b72c, #da0670);
  --background-site: #c96567;
}

/* .strong {
  #314455 - blue/black #222629
  #644e5b - red/1
  #9e5a63 - red/2 linear-gradient(-45deg, #ffdc34, #ff0080);
  #c96567 - red/3 #FFDAB9
  #97aabd - grey #717275
  #f7eeeb - white/black #fefefe
} */


html,
body {
  margin: 0;
  padding: 0;
  font-family: 'Bebas Neue';
  overflow-x: hidden;
}

/* стили для контента в фиксированном контейнере */


/* первый контейнер */

.content-item1 {
  font-family: 'Exo2';
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
}

.content1__block {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  margin-bottom: 40px;
}

.content1__text {
  font-size: 70px;
  margin: 0;
  color: var(--background-scrolling);
}

.content1__name {
  font-size: 110px;
  margin: 0;
  color: var(--background-scrolling);
}

.content1__profession {
  font-size: 30px;
  margin: 0;
  color: var(--background-scrolling);
}

/* стили для плашки со скилами */

.skills {
  width: 900px;
  height: 350px;
  background-color: var(--text-color-specialization);
  visibility: hidden;
  margin: 10px;
  border-radius: 14px;
  opacity: 0.9;
}

.table_skills {
  display: flex;
}

.table_skills > div {
  flex: 1;
  margin-right: 20px;
}

.table_skills > div:last-child {
  margin-right: 0;
}

.table_skills h3 {
  margin: 20px;
}

.list {
  list-style: none;
  padding: 0;
  margin: 10px;
}

.list li {
  display: flex;
  align-items: center;
  margin: 10px;
}

.list li img {
  margin-right: 10px;
}

.list li span {
  font-weight: bold;
}


.button_skills_block {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-bottom: 10px;
}

.skills-button {
  width: 180px;
  height: 50px;
  border-radius: 5px;
  background: transparent;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  transition: all 0.3s ease-in;
  padding: 20px;
}

.skills-button:hover {
  transform: translateY(-5px);
}

.light::before {
  content: "";
  position: absolute;
  background-image: conic-gradient(
    rgb(122, 230, 254) 20deg,
    transparent 150deg
  );
  width: 400%;
  height: 400%;
  border-radius: 5px;
  animation: rotate 6s linear infinite;
}

.light::after {
  content: "My skills";
  position: absolute;
  width: 170px;
  height: 40px;
  background: rgba(255, 255, 255, 0.403);
  backdrop-filter: blur(35px);
  -webkit-backdrop-filter: blur(35px);
  color: var(--background-scrolling);
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 35px;
  border-radius: 5px;
  padding: 20px;
}

@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

#info_area {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.9s ease, visibility 0.9s ease;
}

#info_area.hidden {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.9s ease, visibility 0.9s ease;
}

#info_area.visible {
  opacity: 1;
  visibility: visible;
}


/* кнопка сворачивания меню */

.toggle-left {
  position: absolute;
  top: 0;
  right: 0;
  transform: translate(-50%, 50%);
}

.toggle-right {
  position: fixed;
  top: 17px;
  left: 10px;
  display: none;
  transition: opacity 0.7s ease;
}

/* логика меню */

.container.menu-collapsed {
  grid-template-columns: 0 1fr; /* Изменение ширины колонок, чтобы меню не занимало места */
}

.container.menu-collapsed .static-container {
  display: none; /* Скрытие статического контейнера */
  transition: opacity 0.7s ease;
}

.container.menu-collapsed .scrollable-container {
  grid-column: 1 / span 2; /* Расширение скроллируемого контейнера на всю ширину */
  padding-right: 0; /* Удаление отступа справа */
  transition: grid-column 0.7s ease;
}

/* блок ссылок контактов */

.contakt-block {
  display: flex; 
  align-items: end;
  justify-content: center;
  margin-top: 180px;
}

.social {
  margin-right: 10px;
  transition: transform 0.3s ease-in-out;
}

.social:hover {
  transform: scale(1.5);
}

.social:hover svg {
  fill: #f4f1f1;
}

/* стили для навигации */

.navigation-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  top: 250px;
}


.navigation {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-top: 20px;
  padding-left: 40px;
  padding-right: 40px;
}

.navigation ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

.navigation li {
  cursor: pointer;
  box-shadow: 0px 0px 0px 0.5px var(--text-color-specialization);
  margin: 5px;
  border-radius: 5px;
}

@keyframes bounce {
  0% {
    transform: translate(0, 0);
  }
  25% {
    transform: translate(-2px, -2px);
  }
  50% {
    transform: translate(2px, 2px);
  }
  75% {
    transform: translate(-2px, -2px);
  }
  100% {
    transform: translate(0, 0);
  }
}

li, li > * {
  cursor: inherit;
}

.navigation li:hover {
  background-color: var(--text-color-specialization);
  box-shadow: 0px 8px 16px rgba(255, 255, 255, 0.2);
}

.navigation li:active {
  /* animation: bounce 0.6s; */
  transform: scale(0.9); /* Уменьшение размера кнопки при нажатии */
  opacity: 0.8; /* Уменьшение прозрачности кнопки при нажатии */
  transition: transform 0.2s, opacity 0.2s; /* Плавный переход анимации */
}

.navigation a {
  display: flex;
  align-items: center;
  text-decoration: none;
  justify-content: space-between;
  color: #fff;
  width: auto;
  padding: 20px;
  gap: 200px;
}


.navigation span {
  display: block;
  padding: 5px;
}

.text-navigation {
  font-size: 30px;
  color: var(--background-scrolling);
}





/* стили для языка */


/* стили для контейнеров */
.container {
  display: grid;
  grid-template-columns: 25vw 1fr; 
  grid-template-rows: 100vh;
  transition: grid-template-columns 0.7s ease;
}

.static-container {
  grid-column: 1;
  position: fixed;
  top: 0;
  left: 0;
  width: 25vw;
  height: 100vh;
  background-color: var(--background-static);
  color: #fff;
  box-sizing: border-box;
}

.scrollable-container {
  grid-column: 2;
  background-color: var(--background-scrolling);
  overflow-y: auto;
  padding-right: 10px;
  scroll-snap-type: y mandatory;
  scroll-behavior: smooth;
}

.content-item {
  scroll-snap-align: start;
  will-change: scroll-position;
}


/* стили для подвижного контейнера */

#content1 {
  background-color:var(--background-site);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  height: 100vh;
  scroll-snap-align: start;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}



/* стили для аватара и обводки */

.greet {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  flex-direction:column;
  margin: 100px;
  transform: translateX(40px);
}

.name {
  margin: 0;
  font-size: 40px;
  color: var(--text-color-specialization);
}

.specialization {
  margin: 0;
  font-size: 20px;
  color: var(--text-color-specialization);
}


.avatar {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 120px;
  height: 120px;
  object-fit: cover;
  border-radius: 50%;

}

.ring {
  position: absolute;
  top: 150px;
  left: 110px;
  transform: translate(-50%, -50%);
  width: 130px;
  height: 130px;
}
.ring i {
  position: absolute;
  inset: 0;
  border: 2px solid #fff;
  transition: 0.5s;
}
.ring i:nth-child(1) {
  border-radius: 38% 62% 63% 37% / 41% 44% 56% 59%;
  animation: ring1 9s linear infinite;
}
.ring i:nth-child(2) {
  border-radius: 41% 44% 56% 59%/38% 62% 63% 37%;
  animation: ring1 6s linear infinite;
}
.ring i:nth-child(3) {
  border-radius: 41% 44% 56% 59%/38% 62% 63% 37%;
  animation: ring2 15s linear infinite;
}
.ring:hover i {
  border: 6px solid var(--clr);
  filter: drop-shadow(0 0 20px var(--clr));
}
@keyframes ring1 {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@keyframes ring2 {
  0% {
    transform: rotate(360deg);
  }
  100% {
    transform: rotate(0deg);
  }
}



